# Channel Executor

### 1. Methods

#### **1.1 `sendChannelMessage(String, String)`**

```java
void sendChannelMessage(String channel, String message);
```

**Description:**\
This method is used to send a channel message to all available services.

#### **1.2 `sendChannelMessage(String, String, String)`**

```java
void sendChannelMessage(String serviceIdTo, String channel, String message);
```

**Description:**\
This method is used to send a channel message to a specific service.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.walecloud.com/api-documentation/executors/channel-executor.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
